/**
 * LOGICAL-PARADOX.ORG
 * Copyright (C)2004 satoshi akabane(akabane@logical-paradox.org)
 *
 */
package org.logical_paradox.console;

import java.awt.Dimension;
import java.awt.Toolkit;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.PropertyResourceBundle;
import java.util.ResourceBundle;

import javax.swing.JFrame;

import org.logical_paradox.console.gui.ConsolePanel;
import org.logical_paradox.console.gui.ConsoleWindow;

/**
 * R\[
 * 
 * @author satoshi akabane@logical-paradox.org
 * @version $Revision: 1.3 $
 */
public class Console {
	/**
	 * C\bh
	 * @param args vO
	 * @throws Exception vOsɔO
	 */
	public static void main(String[] args) throws Exception {
		PropertyResourceBundle resource = (PropertyResourceBundle)ResourceBundle.getBundle("console");
		int width = Integer.parseInt(resource.getString("WINDOW_WIDTH"));
		int height = Integer.parseInt(resource.getString("WINDOW_HEIGHT"));
		JFrame mainFrm = new JFrame();
		mainFrm.getContentPane().add(new ConsolePanel(new ConsoleConfig("console")));

		mainFrm.setTitle(resource.getString("WINDOW_TITLE"));

		ConsoleWindow wnd = new ConsoleWindow(mainFrm);
		mainFrm.addWindowListener(new WindowAdapter() {
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			}
		);

		Dimension windowLocation = Toolkit.getDefaultToolkit().getScreenSize();
		mainFrm.setLocation(((int)windowLocation.getWidth() - width) /2, ((int)windowLocation.getHeight() - height) /2);
		mainFrm.setSize(new Dimension(width, height));
		mainFrm.setVisible(true);
	}
}
